petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESFASFullSetDownSweep

Smooth during the initial downsweep for SNESFAS

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASFullSetDownSweep(SNES snes,PetscBool swp)

Logically Collective on SNES

### Input Parameters

| snes | - the multigrid context
| swp | - whether to downsweep or not

### Options Database Key

-snes_fas_full_downsweep -Sets number of pre-smoothing steps

### Keywords

FAS, MG, smooth, down, pre-smoothing, steps, multigrid

### See Also

SNESFASSetNumberSmoothUp()

### Level

advanced

### Location

src/snes/impls/fas/fasfunc.c
Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages